> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Search Email Inbox > Searches Omnichannel email inbox by email address. Permissions required: `manage-email-inbox` ### Changelog | Version | Description | | ---------------- | ------------| |3.11.0-rc.0 | Added | ## OpenAPI ````json GET /api/v1/email-inbox.search { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Miscellaneous" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Commands" }, { "name": "Email Inbox" }, { "name": "Licenses" }, { "name": "Mailer" }, { "name": "Calendar Events" }, { "name": "WhatsApp" }, { "name": "Rasa App" }, { "name": "Jitsi App" } ], "paths": { "/api/v1/email-inbox.search": { "get": { "tags": [ "Email Inbox" ], "summary": "Search Email Inbox", "description": "Searches Omnichannel email inbox by email address.\n\nPermissions required: `manage-email-inbox`\n\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|3.11.0-rc.0 | Added |", "operationId": "get-api-v1-email-inbox.search", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "name": "email", "in": "query", "description": "Enter the email inbox address.", "required": true, "schema": { "type": "string" }, "example": "info@rockt.chat" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "emailInbox": { "type": "object", "properties": { "_id": { "type": "string" }, "active": { "type": "boolean" }, "name": { "type": "string" }, "email": { "type": "string" }, "description": { "type": "string" }, "senderInfo": { "type": "string" }, "department": { "type": "string" }, "smtp": { "type": "object", "properties": { "server": { "type": "string" }, "port": { "type": "integer" }, "username": { "type": "string" }, "password": { "type": "string" }, "secure": { "type": "boolean" } } }, "imap": { "type": "object", "properties": { "server": { "type": "string" }, "port": { "type": "integer" }, "username": { "type": "string" }, "password": { "type": "string" }, "secure": { "type": "boolean" } } }, "_createdAt": { "type": "string" }, "_updatedAt": { "type": "string" }, "_createdBy": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" } } } } }, "success": { "type": "boolean" } } }, "examples": { "Success Example": { "value": { "emailInbox": { "_id": "60197e8ff82d6c83b96c53ff", "active": false, "name": "Rocket.Chat sample account", "email": "info@rocket.chat", "description": "", "senderInfo": "", "department": "GgYvrkAF63aeQmsh4", "smtp": { "server": "smtp.gmail.com", "port": 465, "username": "info@rocket.chat", "password": "kkviepoenakbccwf", "secure": true }, "imap": { "server": "imap.gmail.com", "port": 993, "username": "info@rocket.chat", "password": "kkviepoenakbccwf", "secure": true }, "_createdAt": "2021-02-02T16:32:15.069Z", "_updatedAt": "2021-09-06T17:43:49.257Z", "_createdBy": { "_id": "JxemcN9PDCdfzJeZr", "username": "renato.becker" } }, "success": true } } } } } }, "403": { "$ref": "#/components/responses/forbiddenError" }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": false, "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````